<?php
/**
 * ------------------------------------------------------------------------
 * BlueMind Stats Portal, aka bm-stats
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.breizh-ltd.com <http://www.breizh-ltd.com>
 * ------------------------------------------------------------------------
 **/
 
$apiKey=file("/etc/bm/bm-core.tok") ;
$bmIni = '/etc/bm/bm.ini';

$dataBmIni = parse_ini_file($bmIni);
$thisURL=$dataBmIni['external-protocol']."://".$dataBmIni['external-url']."/soap/proxy?wsdl" ;



$thisList = array() ;

$serv = new SoapClient($thisURL, array('cache_wsdl' => WSDL_CACHE_NONE));

$login = $serv->login(array('arg0' => 'admin0@global.virt', 'arg1' => $apiKey[0], 'arg2' => 'bmStats'));
$token = $login->return;

if($token==null || !isset($token->sessionId) || $token->sessionId==null) {
    echo "invalid login/password";
    exit(1);
} else {
}

# Get from https://localhost/soap/proxy?xsd=1
# Or generate client from WSDL using wsdl2php (http://sourceforge.net/projects/wsdl2php/)
require("/usr/share/bm-stats/www/function/apiClass.php") ;

$userQuery = new UserQuery();

$userQuery->domainId != 0 ;



$users = $serv->findUsers(array('arg0' => $token, 'arg1' => $userQuery));

foreach($users->return as $user) {

    if(isset($user->emails->entry)) {
        if(is_array($user->emails->entry)) {
            foreach($user->emails->entry as $email) {
                $sub = explode('@', $email->value->email) ;
                $thisList[] = $sub[1]." ".$user->domain->name ;
            }
        }else {
            $email = $user->emails->entry;

            $sub = explode('@', $email->value->email) ;
            $thisList[] = $sub[1]." ".$user->domain->name ;
        }
    }
}

$serv->logout(array('arg0' => $token));


print implode(" ",array_unique($thisList)) ;

?>
